unit Principal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, CJVBarCode;

type
  TfPrincipal = class(TForm)
    btImprimir: TButton;
    eNumero: TEdit;
    cbTipo: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    chkLegenda: TCheckBox;
    eLargura: TEdit;
    Label3: TLabel;
    UpDown1: TUpDown;
    CJVBarCode: TCJVBarCode;
    procedure eNumeroExit(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure btImprimirClick(Sender: TObject);
  private
    { Private declarations }
    procedure Atribuir;
  public
    { Public declarations }
  end;

var
  fPrincipal: TfPrincipal;

implementation

uses Impressao;

{$R *.dfm}

procedure TfPrincipal.Atribuir;
begin
   case cbTipo.ItemIndex of
   0:CJVBarcode.Tipo:=btCode128A;
   1:CJVBarcode.Tipo:=btCode128B;
   2:CJVBarcode.Tipo:=btCode128C;
   3:CJVBarcode.Tipo:=btCode39;
   4:CJVBarcode.Tipo:=btCodeEAN13;
   5:CJVBarcode.Tipo:=btCode2e5I;
   end; //case
   CJVBarcode.Pen.Width:=strtoint(eLargura.Text);
   CJVBarcode.Legenda:=chkLegenda.Checked;
   CJVBarcode.Texto:=eNumero.Text;
end;

procedure TfPrincipal.eNumeroExit(Sender: TObject);
begin
  Atribuir;
end;

procedure TfPrincipal.FormActivate(Sender: TObject);
begin
  Atribuir;
end;

procedure TfPrincipal.btImprimirClick(Sender: TObject);
begin
  CJVBarCode.CriaBarras128(eNumero.Text,'A',CJVBarCode.Esquerda,CJVBarCode.Superior,CJVBarCode.Pen.Width,CJVBarCode.Altura,chkLegenda.Checked,fImpr.QRImage1.Canvas);
  CJVBarCode.CriaBarras128(eNumero.Text,'B',CJVBarCode.Esquerda,CJVBarCode.Superior,CJVBarCode.Pen.Width,CJVBarCode.Altura,chkLegenda.Checked,fImpr.QRImage2.Canvas);
  CJVBarCode.CriaBarras128(eNumero.Text,'C',CJVBarCode.Esquerda,CJVBarCode.Superior,CJVBarCode.Pen.Width,CJVBarCode.Altura,chkLegenda.Checked,fImpr.QRImage3.Canvas);
  CJVBarCode.CriaBarras39(eNumero.Text,CJVBarCode.Esquerda,CJVBarCode.Superior,CJVBarCode.Pen.Width,CJVBarCode.Altura,chkLegenda.Checked,fImpr.QRImage4.Canvas);
  CJVBarCode.CriaBarrasEAN13(eNumero.Text,CJVBarCode.Esquerda,CJVBarCode.Superior,CJVBarCode.Pen.Width,CJVBarCode.Altura,chkLegenda.Checked,fImpr.QRImage5.Canvas);
  CJVBarCode.CriaBarrasI25(eNumero.Text,CJVBarCode.Esquerda,CJVBarCode.Superior,CJVBarCode.Pen.Width,CJVBarCode.Altura,chkLegenda.Checked,fImpr.QRImage6.Canvas);
  fImpr.QuickRep1.Preview;
end;

end.
